#version 330

in vec2 positionNDC;

out vec2 fragTextCoord;

void main()
{
	// positionNDC = normalized device coordinates (NDC) in range [-1, 1]
	gl_Position = vec4(positionNDC, 0.0, 1.0);

	// transform from the [-1, 1] range to the [0, 1] range
	fragTextCoord = positionNDC * 0.5 + 0.5; 
}