#version 330

uniform mat4 projection;
uniform mat4 view;

in vec3 vertPosition;

out vec3 fragTexCoords;

void main()
{
    gl_Position =   projection * view * vec4(vertPosition, 1.0);  
    fragTexCoords = vertPosition;
}  