#version 330

in vec3 vertPosition;
in vec2 vertTexCoord;

uniform mat4 viewProjectionInverseMatrix;
uniform mat4 previousViewProjectionMatrix;

uniform mat4 prevCameraMatrix;
uniform mat4 prevModelMatrix;

out vec2 fragTexCoord;

void main()
{
	gl_Position = vec4(vertPosition.xy, 0.0, 1.0);
	
	//gl_Position = cameraMatrix * modelMatrix * vec4(vertPosition, 1);
	
	// transform screen coordinates to uv coordinates
    fragTexCoord  = (vec2(vertPosition.x, vertPosition.y) + 1) / 2;
	//fragTexCoord = vertTexCoord;
}